Bug 1479922 - The notification events are out of order
Summary: The notification events are out of order
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: GA
: 5.8.2
Assignee: Dávid Halász
QA Contact: Satyajit Bulage
URL:
Whiteboard: notification
: 1491820 (view as bug list)
Depends On: 1469534
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-09 18:28 UTC by Satoe Imaishi
Modified: 2017-10-24 00:37 UTC (History)
7 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1469534
Environment:
Last Closed: 2017-10-24 00:37:35 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-09 18:33:24 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/f958942717d11ee414ebe06bf8cc53a5b416045e

commit f958942717d11ee414ebe06bf8cc53a5b416045e
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Wed Jul 19 17:27:09 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 9 14:28:30 2017 -0400

    Merge pull request #1713 from skateman/notifications-inorder
    
    Sort asynchronously arrived notifications by timestamp in the drawer
    (cherry picked from commit 06dd3f386d0355ad77312092b947c1f4ad134801)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479922

 app/assets/javascripts/services/event_notifications_service.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Satyajit Bulage 2017-09-07 05:47:35 UTC
Able to see Notifications in proper order i.e. Latest notification on top and older notification below that.

Verified Version: 5.8.2.0.20170824192913_b09a5f8

Comment 4 Dávid Halász 2017-10-12 16:01:53 UTC
*** Bug 1491820 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2017-10-24 00:37:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.